uk.ac.starlink.fits

## Class HduFitsTableWriter

- java.lang.Object
- - uk.ac.starlink.table.StreamStarTableWriter
  - - uk.ac.starlink.fits.AbstractFitsTableWriter
    - - uk.ac.starlink.fits.HduFitsTableWriter

- All Implemented Interfaces:
    MultiStarTableWriter, StarTableWriter

  Deprecated.
  Use `uk.ac.starlink.votable.UnifiedFitsTableWriter` instead

      @Deprecated
      public class HduFitsTableWriter
      extends AbstractFitsTableWriter

  TableWriter which writes a single extension BINTABLE HDU containing the table. It differs from `FitsTableWriter` in that it does not write a primary HDU, so the result will only form a legal FITS file if it is appended to an existing FITS file which already has a primary HDU, and possibly other extension HDUs already. This class can be used to generate a multi-extension FITS file.
  Since:
    23 Oct 2009

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HduFitsTableWriter()` Deprecated. Default constructor.
    `HduFitsTableWriter(java.lang.String name, boolean allowSignedByte, WideFits wide)` Deprecated. allows some configuration options but not others; use no-arg constructor and configuration methods instead

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FitsTableSerializer` | `createSerializer(StarTable table)` Deprecated. Provides a suitable serializer for a given table.
    `boolean` | `looksLikeFile(java.lang.String location)` Deprecated. Returns false.
    `void` | `writePrimaryHDU(java.io.OutputStream out)` Deprecated. Does nothing.

    - ### Methods inherited from class uk.ac.starlink.fits.AbstractFitsTableWriter

      `getAllowSignedByte, getAllowZeroLengthString, getConfig, getCurrentDate, getFormatName, getMetadataCards, getMimeType, getPadCharacter, getUnicodeHandler, getWide, getWriteDate, setAllowSignedByte, setAllowZeroLengthString, setFormatName, setPadCharacter, setUnicodeHandler, setWide, setWriteDate, writeStarTable, writeStarTables, writeStarTables, writeTableHDU`

    - ### Methods inherited from class uk.ac.starlink.table.StreamStarTableWriter

      `writeStarTable, writeStarTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.table.StarTableWriter

      `writeStarTable`

- - ### Constructor Detail

    - #### HduFitsTableWriter

          public HduFitsTableWriter()

      Deprecated.
      Default constructor.

    - #### HduFitsTableWriter

          @Deprecated
          public HduFitsTableWriter(java.lang.String name,
                                                boolean allowSignedByte,
                                                WideFits wide)

      Deprecated. allows some configuration options but not others; use no-arg constructor and configuration methods instead
      Deprecated custom constructor.

  - ### Method Detail

    - #### writePrimaryHDU

          public void writePrimaryHDU(java.io.OutputStream out)

      Deprecated.
      Does nothing.
      Overrides:
        `writePrimaryHDU` in class `AbstractFitsTableWriter`
      Parameters:
        `out` - destination stream

    - #### looksLikeFile

          public boolean looksLikeFile(java.lang.String location)

      Deprecated.
      Returns false.
      Parameters:
        `location` - the location name (probably filename)
      Returns:
        `true` iff it looks like a file this writer would normally write

    - #### createSerializer

          protected FitsTableSerializer createSerializer(StarTable table)
                                                  throws java.io.IOException

      Deprecated.
      Description copied from class: `AbstractFitsTableWriter`
      Provides a suitable serializer for a given table. Note this should throw an IOException if it can be determined that the submitted table cannot be written by this writer, for instance if it has too many columns.
      Specified by:
        `createSerializer` in class `AbstractFitsTableWriter`
      Parameters:
        `table` - table to serialize
      Returns:
        FITS serializer
      Throws:
        `java.io.IOException` - if the table can't be written